Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 1.30
Release: 4
Copyright: distributable
Group: Documentation
Source0: ftp://ftp.win.tue.nl/pub/linux/docs/manpages/man-pages-%{version}.tar.bz2
Source1: rpcgen.1
Source2: netman-cvs.tar.gz
Source9: man2.tar.gz
Patch1: man-pages-1.23-spell.patch
Patch2: man-pages-1.26-getcwd.patch
Patch3: man-pages-1.30-tzset.patch
Patch4: man-pages-1.30-ipheader.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).

%prep
%setup -q  -a 9

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp -a %{SOURCE1} man1

%build
rm -fv man1/README
mv -fv man1/COPYING .
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man3/getnetent.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
rm -fv man5/resolver.5
rm -fv man3/dlclose.3
rm -fv man3/dlerror.3
rm -fv man3/dlopen.3
rm -fv man3/dlsym.3
rm -fv man5/resolv.conf.5

find . -name "*sudo*" -exec rm {} \;

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}
for n in 1 2 3 4 5 6 7 8; do
	mkdir $RPM_BUILD_ROOT%{_mandir}/man$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT%{_mandir}/$n
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README man-pages-1.30.Announce
%{_mandir}/man*/*

%changelog
* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed bad header specification (#15364)
- removed obsolete patches from package
- updated the rest

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr before docs in filelist

* Sun Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated to 1.30

* Tue Jun 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}

* Wed May 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove resolv.conf(5) - part of bind-utils

* Tue May 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Remove resolver, dlclose, dlerror, dlopen, dlsym as these
  are included in other packages.

* Tue May 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir) instead of /usr/man
- verify and fix bug in mmap man page (#7382)
- verify and fix missing data in recvfrom man page (#1736)
- verify and fix missing data in putw man page (#10104)
- fixed sendfile(2) man page (#5599)
- fixed tzset man page (#11623)

* Mon May 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated to 1.29
- split off other languages into separate RPMS 

* Thu Mar 16 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- do not use group "man"

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- don't apply the netman-cvs man pages anymore, as they seem to be really
  out of date

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- put back man3/resolver.3

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- remove non-man pages (#7814)

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- exclude dir.1 and vdir.1 (these are in the fileutils package)

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 1.28

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- Fixed SIGILL, SIGQUIT in signals.7

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- fox man page for getcwd

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- added man pages for set/getcontext

* Tue Sep 14 1999 Bill Nottingham <notting@redhat.com>
- remove some bad man pages

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- czech, german, spanish, russian man pages

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- version 1.26
- add french man pages
- add italian man pages

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.25.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- fiox man page fro ftw

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- spellnig fixse

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- updated to 1.23

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- added kernel net manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- updated printf man page
- added rpcgen man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- leave the lilo man pages alone (oops)

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #413

* Mon Jan 18 1999 Cristian Gafton <gafton@redhat.com>
- remove lilo man pages too
- got rebuilt for 6.0

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
